Internal.MapAdapter
Date: 2017-07-08

com.google.protobuf

## Class Internal.MapAdapter<K,V,RealValue>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - com.google.protobuf.Internal.MapAdapter<K,V,RealValue>

- All Implemented Interfaces:
    java.util.Map<K,V>
  Enclosing class:
    Internal

      public static class Internal.MapAdapter<K,V,RealValue>
      extends java.util.AbstractMap<K,V>

  Wrap around a `Map<K, RealValue>` and provide a `Map<K, V>` interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Internal.MapAdapter.Converter<A,B>` An interface used to convert between two types.

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Internal.MapAdapter(java.util.Map<K,RealValue> realMap, Internal.MapAdapter.Converter<RealValue,V> valueConverter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.util.Map.Entry<K,V>>` | `entrySet()`
    `V` | `get(java.lang.Object key)`
    `static <T extends Internal.EnumLite> Internal.MapAdapter.Converter<java.lang.Integer,T>` | `newEnumConverter(Internal.EnumLiteMap<T> enumMap, T unrecognizedValue)`
    `V` | `put(K key, V value)`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Internal.MapAdapter

          public Internal.MapAdapter(java.util.Map<K,RealValue> realMap,
                             Internal.MapAdapter.Converter<RealValue,V> valueConverter)

  - ### Method Detail

    - #### newEnumConverter

          public static <T extends Internal.EnumLite> Internal.MapAdapter.Converter<java.lang.Integer,T> newEnumConverter(Internal.EnumLiteMap<T> enumMap,
                                                                                                          T unrecognizedValue)

    - #### get

          public V get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<K,V>`
      Overrides:
        `get` in class `java.util.AbstractMap<K,V>`

    - #### put

          public V put(K key,
              V value)

      Specified by:
        `put` in interface `java.util.Map<K,V>`
      Overrides:
        `put` in class `java.util.AbstractMap<K,V>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<K,V>`
      Specified by:
        `entrySet` in class `java.util.AbstractMap<K,V>`